/*---------------------------------------------------------------
 * iservsig.c
 *
 * Signal handling functions
 *---------------------------------------------------------------
 */
/*
 * $RCSfile: iservsig.c,v $
 * $Revision: 1.1 $
 * $Date: 1998/08/04 20:25:53 $
 *
 * $Header: //Iservd/iservsig.c#1 $
 * 
 * $Log: iservsig.c,v $
 * Revision 1.1  1998/08/04 20:25:53  chuckh
 * Initial revision
 *
 */


/*---------------------------------------------------------------
 * Revision History:
 * 
 *---------------------------------------------------------------
 */

#include "isysinc.h"	/* System-dependent includes */

#include "iservopt.h"
#include "iservlog.h"



/*---------------------------------------------------------------
 * sigClean(sig)
 * Surrender the lock file before exiting.
 *---------------------------------------------------------------
 */

static
#ifdef LINUX
void
#endif	/* LINUX */
sigClean(sig)
int sig;
{
	signal(sig, SIG_IGN);
	do_log(IL_NOTICE, "Exiting on signal %d", sig);
	exit(1);
}


/*---------------------------------------------------------------
 * setSignals()
 *---------------------------------------------------------------
 */

void
setSignals()
{
	extern void deathOfChild();

	signal(SIGCHLD,deathOfChild);
	signal(SIGHUP,SIG_IGN);
	signal(SIGINT,sigClean);
	signal(SIGQUIT,sigClean);
	signal(SIGTERM,sigClean);
	signal(SIGPIPE,SIG_IGN);
}



